# Ensure you're logged in: auth0 login
auth0 api get "actions/triggers/post-login/bindings" --query "page=1" --query "per_page=1"
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions.Triggers;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Actions.Triggers.Bindings.ListAsync(
triggerId: ActionTriggerTypeEnum.PostLogin,
request: new ListActionTriggerBindingsRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.actions.triggers.types.ListActionTriggerBindingsRequestParameters;
import com.auth0.client.mgmt.types.ActionTriggerTypeEnum;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.actions().triggers().bindings().list(
ActionTriggerTypeEnum.POST_LOGIN,
ListActionTriggerBindingsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}
<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Types\ActionTriggerTypeEnum;
use Auth0\SDK\API\Management\Actions\Triggers\Bindings\Requests\ListActionTriggerBindingsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->actions->triggers->bindings->list(
ActionTriggerTypeEnum::PostLogin->value,
new ListActionTriggerBindingsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);
Retrieve the actions that are bound to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The list of actions returned reflects the order in which they will be executed during the appropriate flow.
GET
https://{tenantDomain}/api/v2
/
actions
/
triggers
/
{triggerId}
/
bindings
TypeScript
import { ManagementClient } from "auth0";async function main() { const client = new ManagementClient({ domain: "{YOUR_DOMAIN}", token: "<token>", }); await client.actions.triggers.bindings.list("post-login", { page: 1, per_page: 1, });}main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.actions.triggers.bindings.list("post-login", {
page: 1,
per_page: 1,
});
}
main();
# Ensure you're logged in: auth0 login
auth0 api get "actions/triggers/post-login/bindings" --query "page=1" --query "per_page=1"
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions.Triggers;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Actions.Triggers.Bindings.ListAsync(
triggerId: ActionTriggerTypeEnum.PostLogin,
request: new ListActionTriggerBindingsRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.actions.triggers.types.ListActionTriggerBindingsRequestParameters;
import com.auth0.client.mgmt.types.ActionTriggerTypeEnum;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.actions().triggers().bindings().list(
ActionTriggerTypeEnum.POST_LOGIN,
ListActionTriggerBindingsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}
<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Types\ActionTriggerTypeEnum;
use Auth0\SDK\API\Management\Actions\Triggers\Bindings\Requests\ListActionTriggerBindingsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->actions->triggers->bindings->list(
ActionTriggerTypeEnum::PostLogin->value,
new ListActionTriggerBindingsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);
The list of actions that are bound to this trigger in the order in which they will be executed.
Show child attributes
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Auth0 Docs","description":"Auth0 documentation","colors":{"primary":"#9921FE","light":"#BC6DFF","dark":"#343434"},"logo":{"light":"https://mintlify.s3.us-west-1.amazonaws.com/auth0/docs/images/logo/light.svg","dark":"https://mintlify.s3.us-west-1.amazonaws.com/auth0/docs/images/logo/dark.svg","href":"https://auth0.com/docs/"},"favicon":"https://mintlify.s3.us-west-1.amazonaws.com/auth0/docs/images/logo/favicon.svg","api":{"params":{"post":["x-release-lifecycle"]},"playground":{"proxy":false},"url":"full"},"background":{"decoration":"gradient"},"seo":{"metatags":{"canonical":"https://auth0.com","og:image":"docs/images/share-image.png"}},"fonts":{"body":{"family":"Inter","source":"https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900\u0026display=swap","format":"woff2"}},"styling":{"eyebrows":"breadcrumbs","latex":true},"integrations":{"adobe":{"launchUrl":"https://assets.adobedtm.com/6bb3f7663515/7006851c9849/launch-af624fe9e34f.min.js"},"gtm":{"tagId":"GTM-W7FRLJ"},"heap":{"appId":"1279799279"},"onetrust":{"domainScript":"96e22fd8-d619-4cdd-a3c6-d51529d21faf","categoryId":"C0002","scriptSource":"https://cdn.cookielaw.org/scripttemplates/otSDKStub.js"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"languages":[{"language":"en","footer":{"socials":{"x-twitter":"https://x.com/auth0","github":"https://github.com/auth0","linkedin":"https://www.linkedin.com/company/auth0"},"links":[{"header":"Developers","items":[{"label":"Developer Hub","href":"https://developer.auth0.com"},{"label":"Code Samples \u0026 Guides","href":"https://developer.auth0.com/resources"},{"label":"Zero Index Newsletter","href":"https://auth0.com/blog/newsletter"},{"label":"Blog","href":"https://auth0.com/blog"},{"label":"Changelog","href":"https://auth0.com/changelog"}]},{"header":"Docs","items":[{"label":"Documentation","href":"https://auth0.com/docs"},{"label":"Quickstarts","href":"https://auth0.com/docs/quickstarts"},{"label":"APIs","href":"https://auth0.com/docs/api"},{"label":"SDK Libraries","href":"https://auth0.com/docs/libraries"},{"label":"Learn","href":"https://auth0.com/learn"},{"label":"Intro to IAM (CIAM)","href":"https://auth0.com/intro-to-iam"},{"label":"Reports","href":"https://auth0.com/resources/whitepapers"},{"label":"Webinars","href":"https://auth0.com/resources/webinars"}]},{"header":"Support Center","items":[{"label":"Community","href":"https://community.auth0.com"},{"label":"Help","href":"https://support.auth0.com"},{"label":"FAQs","href":"https://auth0.com/docs/troubleshoot"},{"label":"Auth0","href":"https://auth0.com"}]},{"header":"Company","items":[{"label":"Our Customers","href":"https://auth0.com/customers"},{"label":"Compliance","href":"https://auth0.com/security"},{"label":"Partners","href":"https://auth0.com/partners"},{"label":"Careers","href":"https://www.okta.com/company/careers"},{"label":"Okta + Auth0","href":"https://www.okta.com/okta-and-auth0"},{"label":"About us","href":"https://auth0.com/about"}]}]},"href":"docs/get-started"},{"language":"fr-ca","footer":{"socials":{"x-twitter":"https://x.com/auth0","github":"https://github.com/auth0","linkedin":"https://www.linkedin.com/company/auth0"},"links":[{"header":"Développeurs","items":[{"label":"Espace développeurs","href":"https://developer.auth0.com"},{"label":"Exemples de code et guides","href":"https://developer.auth0.com/resources"},{"label":"Infolettre Zero Index","href":"https://auth0.com/blog/newsletter"},{"label":"Blogue","href":"https://auth0.com/blog"},{"label":"Journal des modifications","href":"https://auth0.com/changelog"}]},{"header":"Documentation","items":[{"label":"Documentation","href":"https://auth0.com/docs"},{"label":"Guides de démarrage rapide","href":"https://auth0.com/docs/quickstarts"},{"label":"API","href":"https://auth0.com/docs/api"},{"label":"Bibliothèques SDK","href":"https://auth0.com/docs/libraries"},{"label":"Apprendre","href":"https://auth0.com/learn"},{"label":"Introduction à l’IAM (CIAM)","href":"https://auth0.com/intro-to-iam"},{"label":"Rapports","href":"https://auth0.com/resources/whitepapers"},{"label":"Webinaires","href":"https://auth0.com/resources/webinars"}]},{"header":"Centre d’assistance","items":[{"label":"Communauté","href":"https://community.auth0.com"},{"label":"Aide","href":"https://support.auth0.com"},{"label":"Foire aux questions","href":"https://auth0.com/docs/troubleshoot"},{"label":"Auth0","href":"https://auth0.com"}]},{"header":"Entreprise","items":[{"label":"Nos clients","href":"https://auth0.com/customers"},{"label":"Conformité","href":"https://auth0.com/security"},{"label":"Partenaires","href":"https://auth0.com/partners"},{"label":"Carrières","href":"https://www.okta.com/company/careers"},{"label":"Okta + Auth0","href":"https://www.okta.com/okta-and-auth0"},{"label":"À propos de nous","href":"https://auth0.com/about"}]}]},"href":"docs/fr-ca/get-started"},{"language":"ja-jp","footer":{"socials":{"x-twitter":"https://x.com/auth0","github":"https://github.com/auth0","linkedin":"https://www.linkedin.com/company/auth0"},"links":[{"header":"開発者向け","items":[{"label":"開発者ハブ","href":"https://developer.auth0.com"},{"label":"コードサンプルとガイド","href":"https://developer.auth0.com/resources"},{"label":"Zero Index Newsletter","href":"https://auth0.com/blog/newsletter"},{"label":"ブログ","href":"https://auth0.com/blog"},{"label":"変更履歴","href":"https://auth0.com/changelog"}]},{"header":"ドキュメント","items":[{"label":"ドキュメント","href":"https://auth0.com/docs"},{"label":"クイックスタート","href":"https://auth0.com/docs/quickstarts"},{"label":"API","href":"https://auth0.com/docs/api"},{"label":"SDKライブラリ","href":"https://auth0.com/docs/libraries"},{"label":"教育","href":"https://auth0.com/learn"},{"label":"IAM(CIAM)入門","href":"https://auth0.com/intro-to-iam"},{"label":"レポート","href":"https://auth0.com/resources/whitepapers"},{"label":"ウェビナー","href":"https://auth0.com/resources/webinars"}]},{"header":"サポートセンター","items":[{"label":"コミュニティ","href":"https://community.auth0.com"},{"label":"ヘルプ","href":"https://support.auth0.com"},{"label":"よくある質問","href":"https://auth0.com/docs/troubleshoot"},{"label":"Auth0","href":"https://auth0.com"}]},{"header":"会社情報","items":[{"label":"導入企業","href":"https://auth0.com/customers"},{"label":"コンプライアンス","href":"https://auth0.com/security"},{"label":"パートナー","href":"https://auth0.com/partners"},{"label":"採用情報","href":"https://www.okta.com/company/careers"},{"label":"Okta + Auth0","href":"https://www.okta.com/okta-and-auth0"},{"label":"私たちについて","href":"https://auth0.com/about"}]}]},"href":"docs/ja-jp/get-started"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"auth0","hasAudioNarration":false,"actualSubdomain":"auth0","customDomains":["auth0.com","auth0.auth0-mintlify.app"],"gitSource":{"type":"github","owner":"atko-cic","repo":"docs","deployBranch":"main","contentDirectory":"main","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae506a4412b6d5b4714ea9b","collectionId":"65dffb33-38b4-409d-b552-33027db4e651","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae506a4412b6d5b4714ea9b"},"feedback":{"thumbs":true,"contextualFeedback":{"textInputOnly":true,"allowEmail":false},"agentFeedback":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae506a4412b6d5b4714ea9b","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"fr-ca","tag":"Outils de développement","count":1040},{"language":"ja-jp","tag":"開発ツール","count":1040},{"language":"en","tag":"Dev Tools","count":838},{"language":"en","tag":"APIs","count":614},{"language":"fr-ca","tag":"API","count":608},{"language":"ja-jp","tag":"API","count":608},{"language":"en","tag":"Management API","count":490},{"language":"fr-ca","tag":"Management API","count":484},{"language":"ja-jp","tag":"Management API","count":484},{"language":"en","tag":"Get Started","count":289},{"language":"ja-jp","tag":"はじめに","count":285},{"language":"fr-ca","tag":"Personnaliser","count":275},{"language":"ja-jp","tag":"カスタマイズ","count":275},{"language":"fr-ca","tag":"Pour commencer","count":268},{"language":"en","tag":"Reference","count":252},{"language":"en","tag":"Extend","count":216},{"language":"en","tag":"SDKs","count":209},{"language":"fr-ca","tag":"SDK","count":209},{"language":"ja-jp","tag":"SDK","count":209},{"language":"en","tag":"Monitor","count":194},{"language":"en","tag":"Authenticate","count":186},{"language":"fr-ca","tag":"Authentifier","count":186},{"language":"ja-jp","tag":"認証","count":186},{"language":"en","tag":"Tenant Log Event Types","count":171},{"language":"fr-ca","tag":"Catalogue des journaux du locataire","count":170},{"language":"ja-jp","tag":"テナントログカタログ","count":170},{"language":"fr-ca","tag":"Sécuriser","count":151},{"language":"ja-jp","tag":"セキュリティ","count":151},{"language":"fr-ca","tag":"Protéger votre application","count":133},{"language":"ja-jp","tag":"アプリケーションを保護する","count":133}],"searchSettings":{"showContentSnippets":true}},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":false,"deflection":{"enabled":false,"type":"link"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"ui/css/recipe.css","content":"#content-area:has(.recipe-container){overflow:visible!important}.recipe-content .recipe-section:first-of-type{margin-top:1rem}.active-section{opacity:1!important}"},{"filePath":"ui/css/styles.css","content":"@font-face{font-family:\"Inter Fallback\";src:local(\"Arial\");size-adjust:107%;ascent-override:90%;descent-override:22%;line-gap-override:0%}body{font-feature-settings:\"kern\",\"liga\",\"clig\",\"calt\",\"rvrn\";font-family:\"Inter\",\"Inter Fallback\",system-ui,-apple-system,sans-serif}.mdx-content{line-height:1.625}#page-title{font-size:var(--text-3xl);line-height:1.15}.mdx-content .link{font-weight:inherit;border:0;text-decoration:underline;text-underline-offset:2px;transition:opacity .15s ease-out}.mdx-content .link:hover{color:rgb(var(--tw-prose-links))}.dark .mdx-content .link:hover,.mdx-content .link,.nav-tabs-item[data-active]{color:rgb(var(--primary))}.mdx-content table{border-radius:12px;border:0;box-shadow:0 0 0 1px rgb(from var(--border-muted) r g b/50%);overflow:hidden}img.icon.inline{margin:0}#navbar{padding-bottom:.5rem;box-shadow:0 0 0 1px oklch(from var(--border) l c h/.1),0 1px 1px -1px oklch(from var(--shadow) l c h/.06),0 2px 2px -2px oklch(from var(--shadow) l c h/.06),0 2px 4px -2px oklch(from var(--shadow) l c h/.06)}body:has([data-uc-component] [data-slot=dialog-content]) #navbar>div:first-child{border-bottom-color:transparent}body[data-scroll-locked]:has([data-uc-component] [data-slot=dialog-content]){margin-right:0!important}#adu-root{transition:opacity .2s ease,visibility 0s linear 0s}body:has([data-uc-component] [data-slot=dialog-content]) #adu-root{opacity:0;visibility:hidden;transition:opacity .2s ease,visibility 0s linear .2s}.nav-tabs{column-gap:0}.nav-tabs-item{padding:.25rem .75rem;text-shadow:none}.dark .nav-tabs-item[data-active]{color:rgb(var(--primary-light))}.nav-tabs-item:hover{color:rgb(var(--primary));background-color:rgb(var(--primary)/.1);transition:all .15s ease-out;border-radius:.75rem}#sidebar-content{border-color:transparent}.card{transition:all .15s ease}.libraries_card{border:1px solid var(--border-muted)}.api_card_wrapper .card{background-color:transparent;color:var(--foreground-card);border-radius:0;border-bottom:3px solid currentColor!important;margin-bottom:1rem}[data-component-part=field-meta-post]{background-color:lab(91.896% .077188 -6.94053);color:lab(36.091% 25.9241 -68.0384)}.dark [data-component-part=field-meta-post]{background-color:lab(16.0426% 6.71726 -27.2409);color:lab(72.6029% 4.08953 -41.9669)}body:has([data-uc-component] [data-slot=dialog-overlay]) [data-assistant-bar]{visibility:hidden}"},{"filePath":"ui/css/apiExplorer.css","content":".api-section-heading-subtitle,.array-param-field,.object-param-field,.primitive-param-field{font-size:.875rem}svg[style*=\"/zsh.svg\"]{-webkit-mask-image:url(/docs/images/auth0-cli.svg)!important;mask-image:url(/docs/images/auth0-cli.svg)!important}"},{"filePath":"ui/auth0-docs-ui-1.10.0.css","content":"@keyframes pulse{50%{opacity:.5}}@keyframes enter{0%{opacity:var(--tw-enter-opacity,1);transform:translate3d(var(--tw-enter-translate-x,0),var(--tw-enter-translate-y,0),0)scale3d(var(--tw-enter-scale,1),var(--tw-enter-scale,1),var(--tw-enter-scale,1))rotate(var(--tw-enter-rotate,0));filter:blur(var(--tw-enter-blur,0))}}@keyframes exit{to{opacity:var(--tw-exit-opacity,1);transform:translate3d(var(--tw-exit-translate-x,0),var(--tw-exit-translate-y,0),0)scale3d(var(--tw-exit-scale,1),var(--tw-exit-scale,1),var(--tw-exit-scale,1))rotate(var(--tw-exit-rotate,0));filter:blur(var(--tw-exit-blur,0))}}@layer properties{@supports (((-webkit-hyphens:none)) and (not (margin-trim:inline))) or ((-moz-orient:inline) and (not (color:rgb(from red r g b)))){*,::backdrop,:after,:before{--tw-border-style:solid;--tw-leading:initial;--tw-font-weight:initial;--tw-tracking:initial;--tw-shadow:0 0 #0000;--tw-shadow-color:initial;--tw-shadow-alpha:100%;--tw-inset-shadow:0 0 #0000;--tw-inset-shadow-color:initial;--tw-inset-shadow-alpha:100%;--tw-ring-color:initial;--tw-ring-shadow:0 0 #0000;--tw-inset-ring-color:initial;--tw-inset-ring-shadow:0 0 #0000;--tw-ring-inset:initial;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-offset-shadow:0 0 #0000;--tw-ease:initial;--tw-animation-delay:0s;--tw-animation-direction:normal;--tw-animation-duration:initial;--tw-animation-fill-mode:none;--tw-animation-iteration-count:1;--tw-enter-blur:0;--tw-enter-opacity:1;--tw-enter-rotate:0;--tw-enter-scale:1;--tw-enter-translate-x:0;--tw-enter-translate-y:0;--tw-exit-blur:0;--tw-exit-opacity:1;--tw-exit-rotate:0;--tw-exit-scale:1;--tw-exit-translate-x:0;--tw-exit-translate-y:0}}}@layer theme{:host,:root{--adu-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--adu-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--adu-color-blue-500:oklch(62.3% .214 259.815);--adu-color-white:#fff;--adu-spacing:.25rem;--adu-text-xs--line-height:calc(1/.75);--adu-text-sm--line-height:calc(1.25/.875);--adu-text-base--line-height:1.5;--adu-text-lg--line-height:calc(1.75/1.125);--adu-text-xl--line-height:calc(1.75/1.25);--adu-text-2xl--line-height:calc(2/1.5);--adu-text-3xl--line-height:1.2;--adu-tracking-widest:.1em;--adu-ease-in-out:cubic-bezier(.4,0,.2,1);--adu-animate-pulse:pulse 2s cubic-bezier(.4,0,.6,1)infinite;--adu-default-transition-duration:.15s;--adu-default-transition-timing-function:cubic-bezier(.4,0,.2,1);--adu-default-font-family:var(--adu-font-sans);--adu-default-mono-font-family:var(--adu-font-mono)}}@layer base{*,::backdrop,:after,:before{box-sizing:border-box;border:0 solid;margin:0;padding:0}::file-selector-button{box-sizing:border-box;border:0 solid;margin:0;padding:0;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;color:inherit;opacity:1;background-color:#0000;border-radius:0;margin-inline-end:4px}:host,html{-webkit-text-size-adjust:100%;tab-size:4;line-height:1.5;font-family:var(--adu-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--adu-default-font-feature-settings,normal);font-variation-settings:var(--adu-default-font-variation-settings,normal);-webkit-tap-highlight-color:transparent}hr{height:0;color:inherit;border-top-width:1px}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--adu-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--adu-default-mono-font-feature-settings,normal);font-variation-settings:var(--adu-default-mono-font-variation-settings,normal);font-size:1em}small{font-size:80%}sub,sup{vertical-align:baseline;font-size:75%;line-height:0;position:relative}sub{bottom:-.25em}sup{top:-.5em}table{text-indent:0;border-color:inherit;border-collapse:collapse}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{vertical-align:middle;display:block}img,video{max-width:100%;height:auto}button,input,optgroup,select,textarea{font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;color:inherit;opacity:1;background-color:#0000;border-radius:0}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentcolor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit{padding-block:0}::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-month-field{padding-block:0}::-webkit-datetime-edit-day-field{padding-block:0}::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field{padding-block:0}::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-millisecond-field{padding-block:0}::-webkit-datetime-edit-meridiem-field{padding-block:0}::-webkit-calendar-picker-indicator{line-height:1}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::file-selector-button{appearance:button}::-webkit-inner-spin-button{height:auto}::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}*{border-color:var(--color-border);outline-color:var(--color-ring)}@supports (color:color-mix(in lab,red,red)){*{outline-color:color-mix(in srgb,var(--color-ring)50%,transparent)}}body{background-color:var(--color-background);color:var(--color-foreground);text-rendering:optimizeLegibility;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;font-synthesis:style;font-feature-settings:\"kern\",\"liga\",\"clig\",\"calt\",\"rvrn\"}}@layer components;@layer utilities{.adu\\:\\@container\\/card-header{container:card-header/inline-size}.adu\\:pointer-events-none{pointer-events:none}.adu\\:sr-only{clip-path:inset(50%);white-space:nowrap;border-width:0;width:1px;height:1px;margin:-1px;padding:0;overflow:hidden}.adu\\:absolute,.adu\\:sr-only{position:absolute}.adu\\:fixed{position:fixed}.adu\\:relative{position:relative}.adu\\:static{position:static}.adu\\:top-0{top:calc(var(--adu-spacing)*0)}.adu\\:right-0{right:calc(var(--adu-spacing)*0)}.adu\\:left-0{left:calc(var(--adu-spacing)*0)}.adu\\:left-2{left:calc(var(--adu-spacing)*2)}.adu\\:left-73{left:calc(var(--adu-spacing)*73)}.adu\\:z-0{z-index:0}.adu\\:z-30{z-index:30}.adu\\:z-50{z-index:50}.adu\\:z-\\[39\\]{z-index:39}.adu\\:col-start-2{grid-column-start:2}.adu\\:row-span-2{grid-row:span 2/span 2}.adu\\:row-start-1{grid-row-start:1}.adu\\:-mx-1{margin-inline:calc(var(--adu-spacing)*-1)}.adu\\:my-1{margin-block:calc(var(--adu-spacing)*1)}.adu\\:mr-2{margin-right:calc(var(--adu-spacing)*2)}.adu\\:-ml-8{margin-left:calc(var(--adu-spacing)*-8)}.adu\\:ml-2{margin-left:calc(var(--adu-spacing)*2)}.adu\\:ml-auto{margin-left:auto}.adu\\:flex{display:flex}.adu\\:grid{display:grid}.adu\\:hidden{display:none}.adu\\:inline-block{display:inline-block}.adu\\:inline-flex{display:inline-flex}.adu\\:aspect-square{aspect-ratio:1}.adu\\:size-2{width:calc(var(--adu-spacing)*2);height:calc(var(--adu-spacing)*2)}.adu\\:size-3\\.5{width:calc(var(--adu-spacing)*3.5);height:calc(var(--adu-spacing)*3.5)}.adu\\:size-4{width:calc(var(--adu-spacing)*4);height:calc(var(--adu-spacing)*4)}.adu\\:size-8{width:calc(var(--adu-spacing)*8);height:calc(var(--adu-spacing)*8)}.adu\\:size-9{width:calc(var(--adu-spacing)*9);height:calc(var(--adu-spacing)*9)}.adu\\:size-full{width:100%;height:100%}.adu\\:h-4{height:calc(var(--adu-spacing)*4)}.adu\\:h-8{height:calc(var(--adu-spacing)*8)}.adu\\:h-9{height:calc(var(--adu-spacing)*9)}.adu\\:h-10{height:calc(var(--adu-spacing)*10)}.adu\\:h-14{height:calc(var(--adu-spacing)*14)}.adu\\:h-\\[18px\\]{height:18px}.adu\\:h-px{height:1px}.adu\\:max-h-\\(--radix-dropdown-menu-content-available-height\\){max-height:var(--radix-dropdown-menu-content-available-height)}.adu\\:max-h-72\\.5{max-height:calc(var(--adu-spacing)*72.5)}.adu\\:max-h-\\[calc\\(100\\%\\+2px\\)\\]{max-height:calc(100% + 2px)}.adu\\:w-4{width:calc(var(--adu-spacing)*4)}.adu\\:w-8{width:calc(var(--adu-spacing)*8)}.adu\\:w-9{width:calc(var(--adu-spacing)*9)}.adu\\:w-48{width:calc(var(--adu-spacing)*48)}.adu\\:w-73{width:calc(var(--adu-spacing)*73)}.adu\\:w-\\[24px\\]{width:24px}.adu\\:w-full{width:100%}.adu\\:min-w-\\[8rem\\]{min-width:8rem}.adu\\:flex-1{flex:1}.adu\\:shrink-0{flex-shrink:0}.adu\\:origin-\\(--radix-dropdown-menu-content-transform-origin\\){transform-origin:var(--radix-dropdown-menu-content-transform-origin)}.adu\\:animate-in{animation:enter var(--tw-animation-duration,var(--tw-duration,.15s))var(--tw-ease,ease)var(--tw-animation-delay,0s)var(--tw-animation-iteration-count,1)var(--tw-animation-direction,normal)var(--tw-animation-fill-mode,none)}.adu\\:animate-out{animation:exit var(--tw-animation-duration,var(--tw-duration,.15s))var(--tw-ease,ease)var(--tw-animation-delay,0s)var(--tw-animation-iteration-count,1)var(--tw-animation-direction,normal)var(--tw-animation-fill-mode,none)}.adu\\:animate-pulse{animation:var(--adu-animate-pulse)}.adu\\:cursor-default{cursor:default}.adu\\:auto-rows-min{grid-auto-rows:min-content}.adu\\:grid-rows-\\[auto_auto\\]{grid-template-rows:auto auto}.adu\\:flex-col{flex-direction:column}.adu\\:flex-wrap{flex-wrap:wrap}.adu\\:items-center{align-items:center}.adu\\:items-start{align-items:flex-start}.adu\\:justify-center{justify-content:center}.adu\\:gap-0{gap:calc(var(--adu-spacing)*0)}.adu\\:gap-1{gap:calc(var(--adu-spacing)*1)}.adu\\:gap-1\\.5{gap:calc(var(--adu-spacing)*1.5)}.adu\\:gap-2{gap:calc(var(--adu-spacing)*2)}.adu\\:gap-3{gap:calc(var(--adu-spacing)*3)}.adu\\:gap-4{gap:calc(var(--adu-spacing)*4)}.adu\\:gap-6{gap:calc(var(--adu-spacing)*6)}.adu\\:gap-8{gap:calc(var(--adu-spacing)*8)}.adu\\:self-start{align-self:flex-start}.adu\\:self-stretch{align-self:stretch}.adu\\:justify-self-end{justify-self:flex-end}.adu\\:overflow-auto{overflow:auto}.adu\\:overflow-hidden{overflow:hidden}.adu\\:overflow-x-hidden{overflow-x:hidden}.adu\\:overflow-y-auto{overflow-y:auto}.adu\\:rounded{border-radius:.25rem}.adu\\:rounded-full{border-radius:9999px}.adu\\:rounded-md{border-radius:.5rem}.adu\\:rounded-none{border-radius:0}.adu\\:rounded-sm{border-radius:.375rem}.adu\\:rounded-xl{border-radius:.875rem}.adu\\:border{border-style:var(--tw-border-style);border-width:1px}.adu\\:border\\!{border-style:var(--tw-border-style)!important;border-width:1px!important}.adu\\:border-border-input{border-color:var(--border-input)}.adu\\:border-border-muted{border-color:var(--border-muted)}.adu\\:bg-\\[\\#232220\\]{background-color:#232220}.adu\\:bg-blue-500{background-color:var(--adu-color-blue-500)}.adu\\:bg-border-input{background-color:var(--border-input)}.adu\\:bg-button-primary{background-color:var(--button-primary)}.adu\\:bg-card{background-color:var(--card)}.adu\\:bg-destructive{background-color:var(--destructive)}.adu\\:bg-input{background-color:var(--input)}.adu\\:bg-page{background-color:var(--page)}.adu\\:bg-popover{background-color:var(--popover)}.adu\\:bg-surface-muted{background-color:var(--surface-muted)}.adu\\:bg-surface-selected{background-color:var(--surface-selected)}.adu\\:fill-current{fill:currentColor}.adu\\:p-0{padding:calc(var(--adu-spacing)*0)}.adu\\:p-1{padding:calc(var(--adu-spacing)*1)}.adu\\:p-2\\.5{padding:calc(var(--adu-spacing)*2.5)}.adu\\:p-4{padding:calc(var(--adu-spacing)*4)}.adu\\:px-1{padding-inline:calc(var(--adu-spacing)*1)}.adu\\:px-2{padding-inline:calc(var(--adu-spacing)*2)}.adu\\:px-3{padding-inline:calc(var(--adu-spacing)*3)}.adu\\:px-4{padding-inline:calc(var(--adu-spacing)*4)}.adu\\:px-6{padding-inline:calc(var(--adu-spacing)*6)}.adu\\:py-1\\.5{padding-block:calc(var(--adu-spacing)*1.5)}.adu\\:py-2{padding-block:calc(var(--adu-spacing)*2)}.adu\\:py-3{padding-block:calc(var(--adu-spacing)*3)}.adu\\:py-6{padding-block:calc(var(--adu-spacing)*6)}.adu\\:pt-3{padding-top:calc(var(--adu-spacing)*3)}.adu\\:pr-2{padding-right:calc(var(--adu-spacing)*2)}.adu\\:pl-8{padding-left:calc(var(--adu-spacing)*8)}.adu\\:text-center{text-align:center}.adu\\:font-aeonik{font-family:Aeonik,sans-serif}.adu\\:font-inter{font-family:Inter,Inter Fallback,system-ui,-apple-system,sans-serif}.adu\\:font-roboto-mono{font-family:Roboto Mono,sans-serif}.adu\\:text-2xl{font-size:2rem;line-height:var(--tw-leading,var(--adu-text-2xl--line-height))}.adu\\:text-3xl{font-size:2.5rem;line-height:var(--tw-leading,var(--adu-text-3xl--line-height))}.adu\\:text-base{font-size:1rem;line-height:var(--tw-leading,var(--adu-text-base--line-height))}.adu\\:text-lg{font-size:1.25rem;line-height:var(--tw-leading,var(--adu-text-lg--line-height))}.adu\\:text-sm{font-size:.875rem;line-height:var(--tw-leading,var(--adu-text-sm--line-height))}.adu\\:text-sm\\!{font-size:.875rem!important;line-height:var(--tw-leading,var(--adu-text-sm--line-height))!important}.adu\\:text-xl{font-size:1.5rem;line-height:var(--tw-leading,var(--adu-text-xl--line-height))}.adu\\:text-xs{font-size:.75rem;line-height:var(--tw-leading,var(--adu-text-xs--line-height))}.adu\\:leading-1\\.5{--tw-leading:calc(var(--adu-spacing)*1.5);line-height:calc(var(--adu-spacing)*1.5)}.adu\\:leading-1\\.15{--tw-leading:1.15;line-height:1.15}.adu\\:leading-1\\.20{--tw-leading:1.2;line-height:1.2}.adu\\:leading-1\\.25{--tw-leading:1.25;line-height:1.25}.adu\\:leading-1\\.30{--tw-leading:1.3;line-height:1.3}.adu\\:leading-1\\.33{--tw-leading:1.33;line-height:1.33}.adu\\:leading-1\\.40{--tw-leading:1.4;line-height:1.4}.adu\\:leading-1\\.45{--tw-leading:1.45;line-height:1.45}.adu\\:leading-1\\.65{--tw-leading:1.65;line-height:1.65}.adu\\:leading-none{--tw-leading:1;line-height:1}.adu\\:font-medium{--tw-font-weight:500;font-weight:500}.adu\\:font-normal{--tw-font-weight:400;font-weight:400}.adu\\:font-semibold{--tw-font-weight:600;font-weight:600}.adu\\:tracking-n-2xl{--tw-tracking:-.02em;letter-spacing:-.02em}.adu\\:tracking-n-3xl{--tw-tracking:-.02125em;letter-spacing:-.02125em}.adu\\:tracking-n-5xl{--tw-tracking:-.044em;letter-spacing:-.044em}.adu\\:tracking-n-6xl{--tw-tracking:-.05em;letter-spacing:-.05em}.adu\\:tracking-n-lg{--tw-tracking:-.011em;letter-spacing:-.011em}.adu\\:tracking-n-md{--tw-tracking:-.00625em;letter-spacing:-.00625em}.adu\\:tracking-n-sm{--tw-tracking:-.006em;letter-spacing:-.006em}.adu\\:tracking-n-xl{--tw-tracking:-.01125em;letter-spacing:-.01125em}.adu\\:tracking-n-xs{--tw-tracking:-.00525em;letter-spacing:-.00525em}.adu\\:tracking-p-2xl{--tw-tracking:.0375em;letter-spacing:.0375em}.adu\\:tracking-p-lg{--tw-tracking:.011em;letter-spacing:.011em}.adu\\:tracking-p-md{--tw-tracking:.01em;letter-spacing:.01em}.adu\\:tracking-p-sm{--tw-tracking:.005em;letter-spacing:.005em}.adu\\:tracking-p-xs{--tw-tracking:.0025em;letter-spacing:.0025em}.adu\\:tracking-widest{--tw-tracking:var(--adu-tracking-widest);letter-spacing:var(--adu-tracking-widest)}.adu\\:whitespace-nowrap{white-space:nowrap}.adu\\:text-\\[\\#f4f4f4\\]{color:#f4f4f4}.adu\\:text-\\[\\#f4f4f4\\]\\!{color:#f4f4f4!important}.adu\\:text-foreground{color:var(--foreground)}.adu\\:text-foreground-bold{color:var(--foreground-bold)}.adu\\:text-foreground-icon{color:var(--foreground-icon)}.adu\\:text-foreground-inverse{color:var(--foreground-inverse)}.adu\\:text-foreground-inverse\\!{color:var(--foreground-inverse)!important}.adu\\:text-white{color:var(--adu-color-white)}.adu\\:uppercase{text-transform:uppercase}.adu\\:underline{text-decoration-line:underline}.adu\\:underline-offset-4{text-underline-offset:4px}.adu\\:underline-offset-auto{text-underline-offset:auto}.adu\\:shadow-lg{--tw-shadow:0px 12px 12px -6px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-3))),0px 6px 6px -1.5px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-2))),0px 4px 4px 0px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1))),0px 2px 2px -1px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1))),0px 1px 1px -.5px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1)))}.adu\\:shadow-lg,.adu\\:shadow-md,.adu\\:shadow-sm{box-shadow:var(--tw-inset-shadow),var(--tw-inset-ring-shadow),var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow)}.adu\\:shadow-md{--tw-shadow:0px 6px 6px -3px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-2))),0px 4px 4px -1px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1))),0px 2px 2px -1px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1))),0px 1px 1px -.5px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1)))}.adu\\:shadow-sm{--tw-shadow:0px 4px 4px -2px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1))),0px 2px 2px -1px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1))),0px 1px 1px -.5px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1)))}.adu\\:outline-hidden{--tw-outline-style:none;outline-style:none}@media (forced-colors:active){.adu\\:outline-hidden{outline-offset:2px;outline:2px solid #0000}}.adu\\:transition-\\[height\\],.adu\\:transition-all{transition-property:height;transition-timing-function:var(--tw-ease,var(--adu-default-transition-timing-function));transition-duration:var(--tw-duration,var(--adu-default-transition-duration))}.adu\\:transition-all{transition-property:all}.adu\\:ease-in-out{--tw-ease:var(--adu-ease-in-out);transition-timing-function:var(--adu-ease-in-out)}.adu\\:fill-mode-both{--tw-animation-fill-mode:both;animation-fill-mode:both}.adu\\:outline-none{--tw-outline-style:none;outline-style:none}.adu\\:select-none{-webkit-user-select:none;user-select:none}.adu\\:fade-in{--tw-enter-opacity:0}.adu\\:fade-out{--tw-exit-opacity:0}.adu\\:slide-in-from-left{--tw-enter-translate-x:-100%}.adu\\:slide-in-from-right{--tw-enter-translate-x:100%}.adu\\:slide-out-to-left{--tw-exit-translate-x:-100%}.adu\\:slide-out-to-right{--tw-exit-translate-x:100%}@media (hover:hover){.adu\\:hover\\:bg-button-primary\\/90:hover{background-color:var(--button-primary)}@supports (color:color-mix(in lab,red,red)){.adu\\:hover\\:bg-button-primary\\/90:hover{background-color:color-mix(in oklab,var(--button-primary)90%,transparent)}}.adu\\:hover\\:bg-destructive\\/90:hover{background-color:var(--destructive)}@supports (color:color-mix(in lab,red,red)){.adu\\:hover\\:bg-destructive\\/90:hover{background-color:color-mix(in oklab,var(--destructive)90%,transparent)}}.adu\\:hover\\:underline:hover{text-decoration-line:underline}}.adu\\:focus-visible\\:ring-\\[3px\\]:focus-visible{--tw-ring-shadow:var(--tw-ring-inset,)0 0 0 calc(3px + var(--tw-ring-offset-width))var(--tw-ring-color,currentcolor);box-shadow:var(--tw-inset-shadow),var(--tw-inset-ring-shadow),var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow)}.adu\\:focus-visible\\:ring-destructive\\/20:focus-visible{--tw-ring-color:var(--destructive)}@supports (color:color-mix(in lab,red,red)){.adu\\:focus-visible\\:ring-destructive\\/20:focus-visible{--tw-ring-color:color-mix(in oklab,var(--destructive)20%,transparent)}}.adu\\:focus-visible\\:outline-hidden:focus-visible{--tw-outline-style:none;outline-style:none}@media (forced-colors:active){.adu\\:focus-visible\\:outline-hidden:focus-visible{outline-offset:2px;outline:2px solid #0000}}.adu\\:disabled\\:pointer-events-none:disabled{pointer-events:none}.adu\\:disabled\\:opacity-50:disabled{opacity:.5}.adu\\:has-data-\\[slot\\=card-action\\]\\:grid-cols-\\[1fr_auto\\]:has([data-slot=card-action]){grid-template-columns:1fr auto}.adu\\:has-\\[\\>svg\\]\\:px-2\\.5:has(>svg){padding-inline:calc(var(--adu-spacing)*2.5)}.adu\\:has-\\[\\>svg\\]\\:px-3:has(>svg){padding-inline:calc(var(--adu-spacing)*3)}.adu\\:has-\\[\\>svg\\]\\:px-4:has(>svg){padding-inline:calc(var(--adu-spacing)*4)}.adu\\:aria-invalid\\:border-destructive[aria-invalid=true]{border-color:var(--destructive)}.adu\\:aria-invalid\\:ring-destructive\\/20[aria-invalid=true]{--tw-ring-color:var(--destructive)}@supports (color:color-mix(in lab,red,red)){.adu\\:aria-invalid\\:ring-destructive\\/20[aria-invalid=true]{--tw-ring-color:color-mix(in oklab,var(--destructive)20%,transparent)}}.adu\\:\\[\\\u0026_svg\\]\\:pointer-events-none svg,.adu\\:data-\\[disabled\\]\\:pointer-events-none[data-disabled]{pointer-events:none}.adu\\:data-\\[disabled\\]\\:opacity-50[data-disabled]{opacity:.5}.adu\\:data-\\[inset\\]\\:pl-8[data-inset]{padding-left:calc(var(--adu-spacing)*8)}.adu\\:data-\\[side\\=bottom\\]\\:slide-in-from-top-2[data-side=bottom]{--tw-enter-translate-y:calc(var(--adu-spacing)*2*-1)}.adu\\:data-\\[side\\=left\\]\\:slide-in-from-right-2[data-side=left]{--tw-enter-translate-x:calc(var(--adu-spacing)*2)}.adu\\:data-\\[side\\=right\\]\\:slide-in-from-left-2[data-side=right]{--tw-enter-translate-x:calc(var(--adu-spacing)*2*-1)}.adu\\:data-\\[side\\=top\\]\\:slide-in-from-bottom-2[data-side=top]{--tw-enter-translate-y:calc(var(--adu-spacing)*2)}.adu\\:data-\\[state\\=closed\\]\\:animate-out[data-state=closed]{animation:exit var(--tw-animation-duration,var(--tw-duration,.15s))var(--tw-ease,ease)var(--tw-animation-delay,0s)var(--tw-animation-iteration-count,1)var(--tw-animation-direction,normal)var(--tw-animation-fill-mode,none)}.adu\\:data-\\[state\\=closed\\]\\:fade-out-0[data-state=closed]{--tw-exit-opacity:0}.adu\\:data-\\[state\\=closed\\]\\:zoom-out-95[data-state=closed]{--tw-exit-scale:.95}.adu\\:data-\\[state\\=open\\]\\:animate-in[data-state=open]{animation:enter var(--tw-animation-duration,var(--tw-duration,.15s))var(--tw-ease,ease)var(--tw-animation-delay,0s)var(--tw-animation-iteration-count,1)var(--tw-animation-direction,normal)var(--tw-animation-fill-mode,none)}.adu\\:data-\\[state\\=open\\]\\:fade-in-0[data-state=open]{--tw-enter-opacity:0}.adu\\:data-\\[state\\=open\\]\\:zoom-in-95[data-state=open]{--tw-enter-scale:.95}.adu\\:data-\\[variant\\=destructive\\]\\:text-destructive[data-variant=destructive]{color:var(--destructive)}.adu\\:data-\\[variant\\=destructive\\]\\:focus\\:bg-destructive\\/10[data-variant=destructive]:focus{background-color:var(--destructive)}@supports (color:color-mix(in lab,red,red)){.adu\\:data-\\[variant\\=destructive\\]\\:focus\\:bg-destructive\\/10[data-variant=destructive]:focus{background-color:color-mix(in oklab,var(--destructive)10%,transparent)}}.adu\\:data-\\[variant\\=destructive\\]\\:focus\\:text-destructive[data-variant=destructive]:focus{color:var(--destructive)}@media (min-width:64rem){.adu\\:lg\\:block{display:block}.adu\\:lg\\:w-auto{width:auto}}.adu\\:dark\\:bg-destructive\\/60:is(.dark *){background-color:var(--destructive)}@supports (color:color-mix(in lab,red,red)){.adu\\:dark\\:bg-destructive\\/60:is(.dark *){background-color:color-mix(in oklab,var(--destructive)60%,transparent)}}.adu\\:dark\\:bg-input\\/30:is(.dark *){background-color:var(--input)}@supports (color:color-mix(in lab,red,red)){.adu\\:dark\\:bg-input\\/30:is(.dark *){background-color:color-mix(in oklab,var(--input)30%,transparent)}}.adu\\:dark\\:shadow-xs:is(.dark *){--tw-shadow:0px 2px 2px -1px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1))),0px 1px 1px -.5px var(--tw-shadow-color,hsla(var(--color-shadow),var(--transparency-level-1)));box-shadow:var(--tw-inset-shadow),var(--tw-inset-ring-shadow),var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow)}@media (hover:hover){.adu\\:dark\\:hover\\:bg-input\\/50:is(.dark *):hover{background-color:var(--input)}@supports (color:color-mix(in lab,red,red)){.adu\\:dark\\:hover\\:bg-input\\/50:is(.dark *):hover{background-color:color-mix(in oklab,var(--input)50%,transparent)}}}.adu\\:dark\\:focus-visible\\:ring-destructive\\/40:is(.dark *):focus-visible{--tw-ring-color:var(--destructive)}@supports (color:color-mix(in lab,red,red)){.adu\\:dark\\:focus-visible\\:ring-destructive\\/40:is(.dark *):focus-visible{--tw-ring-color:color-mix(in oklab,var(--destructive)40%,transparent)}}.adu\\:dark\\:aria-invalid\\:ring-destructive\\/40:is(.dark *)[aria-invalid=true]{--tw-ring-color:var(--destructive)}@supports (color:color-mix(in lab,red,red)){.adu\\:dark\\:aria-invalid\\:ring-destructive\\/40:is(.dark *)[aria-invalid=true]{--tw-ring-color:color-mix(in oklab,var(--destructive)40%,transparent)}}.adu\\:dark\\:data-\\[variant\\=destructive\\]\\:focus\\:bg-destructive\\/20:is(.dark *)[data-variant=destructive]:focus{background-color:var(--destructive)}@supports (color:color-mix(in lab,red,red)){.adu\\:dark\\:data-\\[variant\\=destructive\\]\\:focus\\:bg-destructive\\/20:is(.dark *)[data-variant=destructive]:focus{background-color:color-mix(in oklab,var(--destructive)20%,transparent)}}.adu\\:\\[\\\u0026_svg\\]\\:shrink-0 svg{flex-shrink:0}.adu\\:\\[\\\u0026_svg\\:not\\(\\[class\\*\\=\\'size-\\'\\]\\)\\]\\:size-4 svg:not([class*=size-]){width:calc(var(--adu-spacing)*4);height:calc(var(--adu-spacing)*4)}.adu\\:\\[\\.border-b\\]\\:pb-6.border-b{padding-bottom:calc(var(--adu-spacing)*6)}.adu\\:\\[\\.border-t\\]\\:pt-6.border-t{padding-top:calc(var(--adu-spacing)*6)}:is(.adu\\:data-\\[variant\\=destructive\\]\\:\\*\\:\\[svg\\]\\:\\!text-destructive[data-variant=destructive]>*):is(svg){color:var(--destructive)!important}}@property --tw-animation-delay{syntax:\"*\";inherits:false;initial-value:0s}@property --tw-animation-direction{syntax:\"*\";inherits:false;initial-value:normal}@property --tw-animation-duration{syntax:\"*\";inherits:false}@property --tw-animation-fill-mode{syntax:\"*\";inherits:false;initial-value:none}@property --tw-animation-iteration-count{syntax:\"*\";inherits:false;initial-value:1}@property --tw-enter-blur{syntax:\"*\";inherits:false;initial-value:0}@property --tw-enter-opacity{syntax:\"*\";inherits:false;initial-value:1}@property --tw-enter-rotate{syntax:\"*\";inherits:false;initial-value:0}@property --tw-enter-scale{syntax:\"*\";inherits:false;initial-value:1}@property --tw-enter-translate-x{syntax:\"*\";inherits:false;initial-value:0}@property --tw-enter-translate-y{syntax:\"*\";inherits:false;initial-value:0}@property --tw-exit-blur{syntax:\"*\";inherits:false;initial-value:0}@property --tw-exit-opacity{syntax:\"*\";inherits:false;initial-value:1}@property --tw-exit-rotate{syntax:\"*\";inherits:false;initial-value:0}@property --tw-exit-scale{syntax:\"*\";inherits:false;initial-value:1}@property --tw-exit-translate-x{syntax:\"*\";inherits:false;initial-value:0}@property --tw-exit-translate-y{syntax:\"*\";inherits:false;initial-value:0}@font-face{font-family:Inter Fallback;src:local(Arial);size-adjust:107%;ascent-override:90%;descent-override:22%;line-gap-override:0%}:root{--page:#fff;--card:#fff;--input:#fff;--destructive:#f3e2de;--popover:#fff;--layer:#fffc;--success:#abdfb9;--info:#b2c5fb;--caution:#ffe573;--warning:#ffbf9f;--button-subtle:#00000008;--surface-muted:#c2c2c2;--surface-selected:#efefef;--button-primary:#191919;--foreground:#767676;--foreground-inverse:#f4f4f4;--foreground-bold:#232220;--foreground-card:#232220;--foreground-destructive:#ba351d;--foreground-popover:#232220;--foreground-selected:#6742d5;--foreground-success:#008140;--foreground-info:#344ac5;--foreground-caution:#907600;--foreground-warning:#c45915;--foreground-icon:#1f1f1f;--border-boldest:#1f1f1f;--border-input:#e6e6e6;--border:#afadaa;--border-muted:#cecdca;--border-success:#008140;--border-info:#344ac5;--border-caution:#907600;--border-warning:#c45915;--code-layer:#f4f4f4;--code-content:#fffc;--code-string-key:#595959;--code-string-value:#149750;--code-boolean:#e27133;--code-delimiter:#afafaf;--code-number:#374ec9;--code-object:#6742d5;--color-shadow:0,0%,0%;--color-shadow-destructive:5,85%,37%;--transparency-level-1:.04;--transparency-level-2:.06;--transparency-level-3:.08;--transparency-level-4:.1;--transparency-level-5:.12;--transparency-level-6:.16;--transparency-level-7:.2;--transparency-level-8:.24;--transparency-level-9:.4}.dark{--page:#191919;--card:#21201f;--input:#0000000d;--destructive:#43140b;--popover:#21201f;--layer:#29272580;--success:#225835;--info:#2f428b;--caution:#433600;--warning:#63361f;--button-subtle:#ffffffe6;--surface-muted:#4a4a4a;--surface-selected:#282828;--button-primary:#fff;--foreground:#7b7b7b;--foreground-inverse:#191919;--foreground-bold:#efede9;--foreground-card:#efede9;--foreground-destructive:#ff9179;--foreground-popover:#efede9;--foreground-selected:#b3a7ff;--foreground-success:#61d287;--foreground-info:#94b2ff;--foreground-caution:#f8d523;--foreground-warning:#ff9f6e;--foreground-icon:#eee;--border-boldest:#eee;--border-input:#282828;--border:#63615e;--border-muted:#3f3d3a;--border-success:#61d287;--border-info:#94b2ff;--border-caution:#f8d523;--border-warning:#ff9f6e;--code-layer:#21201f;--code-content:#1a1918;--code-string-key:#b4b4b4;--code-string-value:#61d287;--code-boolean:#ff9f6e;--code-delimiter:#7b7b7b;--code-number:#94b2ff;--code-object:#b3a7ff;--color-shadow:0,0%,100%;--color-shadow-destructive:5,85%,37%;--transparency-level-1:.04;--transparency-level-2:.06;--transparency-level-3:.08;--transparency-level-4:.1;--transparency-level-5:.12;--transparency-level-6:.16;--transparency-level-7:.2;--transparency-level-8:.24;--transparency-level-9:.4}.adu-dropdown-menu-content,.adu-dropdown-menu-content:after,.adu-dropdown-menu-content:before{border-width:1px;border-color:var(--border-input)}@property --tw-border-style{syntax:\"*\";inherits:false;initial-value:solid}@property --tw-leading{syntax:\"*\";inherits:false}@property --tw-font-weight{syntax:\"*\";inherits:false}@property --tw-tracking{syntax:\"*\";inherits:false}@property --tw-shadow{syntax:\"*\";inherits:false;initial-value:0 0 #0000}@property --tw-shadow-color{syntax:\"*\";inherits:false}@property --tw-shadow-alpha{syntax:\"\u003cpercentage>\";inherits:false;initial-value:100%}@property --tw-inset-shadow{syntax:\"*\";inherits:false;initial-value:0 0 #0000}@property --tw-inset-shadow-color{syntax:\"*\";inherits:false}@property --tw-inset-shadow-alpha{syntax:\"\u003cpercentage>\";inherits:false;initial-value:100%}@property --tw-ring-color{syntax:\"*\";inherits:false}@property --tw-ring-shadow{syntax:\"*\";inherits:false;initial-value:0 0 #0000}@property --tw-inset-ring-color{syntax:\"*\";inherits:false}@property --tw-inset-ring-shadow{syntax:\"*\";inherits:false;initial-value:0 0 #0000}@property --tw-ring-inset{syntax:\"*\";inherits:false}@property --tw-ring-offset-width{syntax:\"\u003clength>\";inherits:false;initial-value:0}@property --tw-ring-offset-color{syntax:\"*\";inherits:false;initial-value:#fff}@property --tw-ring-offset-shadow{syntax:\"*\";inherits:false;initial-value:0 0 #0000}@property --tw-ease{syntax:\"*\";inherits:false}"},{"filePath":"ui/css/ai.css","content":"@keyframes spin{0%{transform:rotate(0deg)}to{transform:rotate(360deg)}}.connection-card-filters button,.connection-card-search{background:var(--card);border-color:var(--foreground);transition:all .2s ease}.connection-card-filters button.active{text-decoration:underline dotted;color:rgb(var(--primary));border-color:rgb(var(--primary))}.connection-card-no-results{text-decoration:none!important;cursor:default!important}.download-button-container{display:inline-block;margin-bottom:1rem}.download-button{display:inline-flex;align-items:center;gap:.5rem;padding:.5rem 1.125rem .5rem 1rem;border-radius:.75rem;font-size:.95rem;font-weight:600;cursor:pointer;transition:all .2s ease;text-decoration:none;color:var(--foreground-inverse);background-color:var(--button-primary);box-shadow:0 0 0 1px oklch(from var(--button-primary) l c h/.12),0 1px 1px -1px oklch(from var(--button-primary) l c h/.06),0 2px 2px -2px oklch(from var(--button-primary) l c h/.06),0 2px 4px -2px oklch(from var(--button-primary) l c h/.06),0 4px 6px -4px oklch(from var(--button-primary) l c h/.06),0 6px 8px -6px oklch(from var(--button-primary) l c h/.06),0 -1px 2px 0 oklch(from var(--button-primary) l c h/.2) inset}.download-button:hover:not(:disabled){background-color:oklch(from var(--button-primary) l c h/.8);box-shadow:0 0 0 4px oklch(from var(--button-primary) l c h/.06),0 1px 1px -1px oklch(from var(--button-primary) l c h/.06),0 2px 2px -2px oklch(from var(--button-primary) l c h/.06),0 2px 4px -2px oklch(from var(--button-primary) l c h/.06),0 4px 6px -4px oklch(from var(--button-primary) l c h/.06),0 6px 8px -6px oklch(from var(--button-primary) l c h/.06),0 -1px 2px 0 oklch(from var(--button-primary) l c h/.2) inset}.download-button:disabled{opacity:.6;cursor:not-allowed}.download-button.downloading{pointer-events:none}.download-spinner{animation:spin 1s linear infinite}"},{"filePath":"ui/universal-components/universal-components-1.0.27.css","href":"/_mintlify/custom/auth0/00cc1c5532398fe9/ui/universal-components/universal-components-1.0.27.css"}],"page":{"pagePath":"docs/api/management/v2/actions/get-bindings","slug":"/docs/api/management/v2/actions/get-bindings","pageMetadata":{"openapi":"docs/oas/management/v2/management-api-oas.json GET /actions/triggers/{triggerId}/bindings","playground":"interactive","deprecated":false,"title":"Get trigger bindings","description":"Retrieve the actions that are bound to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The list of actions returned reflects the order in which they will be executed during the appropriate flow.\n","href":"/docs/api/management/v2/actions/get-bindings"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve the actions that are bound to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The list of actions returned reflects the order in which they will be executed during the appropriate flow.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const Scopes=({scopes=[]})=>{return _jsxs(`div`,{children:[_jsx(`div`,{class:`api-section-heading mint-flex mint-flex-col mint-gap-y-4 mint-w-full`,children:_jsxs(`div`,{class:`mint-flex mint-items-baseline mint-border-b mint-pb-2.5 mint-border-gray-100 dark:mint-border-gray-800 mint-w-full`,children:[_jsx(`h4`,{class:`api-section-heading-title mint-flex-1 mint-mb-0`,children:`Scopes`}),_jsx(`div`,{class:`mint-flex mint-items-center`})]})}),_jsx(`div`,{class:`mint-mt-4`,children:_jsx(`div`,{class:`mint-space-y-4 mint-whitespace-normal prose prose-sm prose-gray dark:prose-invert overflow-wrap-anywhere [\u0026_*]:overflow-wrap-anywhere`,children:_jsx(`p`,{class:`mint-whitespace-pre-line mint-text-xs`,children:`Scopes define permissions and access levels for API requests and authentication tokens.`})})}),_jsx(`div`,{class:`mint-flex mint-font-mono mint-text-sm mint-group/param-head param-head mint-break-all mint-relative mint-mt-6`,id:`scopes-scopes`,children:_jsx(`div`,{class:`mint-flex-1 mint-flex mint-flex-col mint-content-start mint-py-0.5 mint-mr-5`,children:_jsxs(`div`,{class:`mint-flex mint-items-center mint-flex-wrap mint-gap-2`,children:[_jsx(`div`,{class:`mint-absolute mint--top-1.5`,children:_jsxs(`a`,{href:`#scopes-scopes`,class:`mint--ml-10 mint-flex mint-items-center mint-opacity-0 mint-border-0 group-hover/param-head:mint-opacity-100 focus:mint-opacity-100 focus:mint-outline-0 mint-py-2 [.expandable-content_\u0026]:mint--ml-[2.1rem] mint-group/link`,\"aria-label\":`Navigate to header`,children:[``,_jsx(`div`,{class:`mint-w-6 mint-h-6 mint-rounded-md mint-flex mint-items-center mint-justify-center mint-shadow-sm mint-text-gray-400 dark:mint-text-white/50 dark:bg-background-dark dark:mint-brightness-[1.35] dark:mint-ring-1 dark:hover:mint-brightness-150 mint-bg-white mint-ring-1 mint-ring-gray-400/30 dark:mint-ring-gray-700/25 hover:mint-ring-gray-400/60 dark:hover:mint-ring-white/20 group-focus/link:mint-border-2 group-focus/link:border-primary dark:group-focus/link:border-primary-light`,children:_jsx(`svg`,{xmlns:`http://www.w3.org/2000/svg`,fill:`gray`,height:`12px`,viewBox:`0 0 576 512`,children:_jsx(`path`,{d:`M0 256C0 167.6 71.6 96 160 96h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C98.1 144 48 194.1 48 256s50.1 112 112 112h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C71.6 416 0 344.4 0 256zm576 0c0 88.4-71.6 160-160 160H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c61.9 0 112-50.1 112-112s-50.1-112-112-112H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c88.4 0 160 71.6 160 160zM184 232H392c13.3 0 24 10.7 24 24s-10.7 24-24 24H184c-13.3 0-24-10.7-24-24s10.7-24 24-24z`})})})]})}),scopes.map((scope,index)=>{return _jsx(`span`,{class:`mint-flex mint-items-center mint-px-2 mint-py-0.5 mint-rounded-md mint-bg-gray-100/50 dark:mint-bg-white/5 mint-text-gray-600 dark:mint-text-gray-200 mint-font-medium mint-break-all`,style:{lineHeight:`1rem`,fontSize:`0.75rem`,fontFamily:`var(--font-jetbrains-mono), ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace`},\"data-component-part\":`field-info-pill`,children:scope},index)})]})})})]})};const ApiReleaseLifecycle=({releaseLifecycle=`GA`})=>{const lifecycleMap={ea:`Early Access`,ga:`Generally Available`,deprecated:`Deprecated`,planned:`Planned`,beta:`Beta`};const LIFECYCLE_THEMES={info:{light:{bg:`lab(91.896% .077188 -6.94053)`,text:`lab(36.091% 25.9241 -68.0384)`},dark:{bg:`lab(16.0426% 6.71726 -27.2409)`,text:`lab(72.6029% 4.08953 -41.9669)`}},secondary:{light:{bg:`lab(90.8548% 11.3355 8.01476)`,text:`lab(47.5286% 56.4238 43.4706)`},dark:{bg:`lab(16.3609% 37.191 25.6346)`,text:`lab(71.881% 41.5 29.4839)`}},danger:{light:{bg:`lab(94.7916% -.0000298023 0)`,text:`lab(54.3656% 0 -.0000119209)`},dark:{bg:`lab(13.232% 0 0)`,text:`lab(51.6164% 0 0)`}}};const LIFECYCLE_THEME_MAP={ea:`info`,ga:`info`,beta:`info`,deprecated:`secondary`,planned:`danger`};const lifecycle=releaseLifecycle.toLocaleLowerCase();const lifecycleText=lifecycleMap[lifecycle];if(!lifecycleText){return null}const theme=LIFECYCLE_THEMES[LIFECYCLE_THEME_MAP[lifecycle]];return _jsxs(`div`,{children:[_jsx(`div`,{className:`api-section-heading mint-flex mint-flex-col mint-gap-y-4 mint-w-full`,children:_jsx(`div`,{className:`mint-flex mint-items-baseline mint-border-b mint-pb-2.5 mint-border-gray-100 dark:mint-border-gray-800 mint-w-full`,children:_jsx(`h4`,{className:`api-section-heading-title mint-flex-1 mint-mb-0`,children:`Release Lifecycle`})})}),_jsx(`div`,{className:`mint-flex mint-font-mono mint-text-sm mint-group/param-head param-head mint-break-all mint-relative mint-mt-2.5`,id:`releaselifecycle-lifecycle`,children:_jsx(`div`,{className:`mint-flex-1 mint-flex mint-flex-col mint-content-start mint-py-0.5 mint-mr-5`,children:_jsxs(`div`,{className:`mint-flex mint-items-center mint-flex-wrap mint-gap-2`,children:[_jsx(`div`,{className:`mint-absolute mint--top-1.5`,children:_jsx(`a`,{href:`#releaselifecycle-lifecycle`,className:`mint--ml-10 mint-flex mint-items-center mint-opacity-0 mint-border-0 group-hover/param-head:mint-opacity-100 focus:mint-opacity-100 focus:mint-outline-0 mint-py-2 [.expandable-content_\u0026]:mint--ml-[2.1rem] mint-group/link`,\"aria-label\":`Navigate to header`,children:_jsx(`div`,{className:`mint-w-6 mint-h-6 mint-rounded-md mint-flex mint-items-center mint-justify-center mint-shadow-sm mint-text-gray-400 dark:mint-text-white/50 dark:bg-background-dark dark:mint-brightness-[1.35] dark:mint-ring-1 dark:hover:mint-brightness-150 mint-bg-white mint-ring-1 mint-ring-gray-400/30 dark:mint-ring-gray-700/25 hover:mint-ring-gray-400/60 dark:hover:mint-ring-white/20 group-focus/link:mint-border-2 group-focus/link:border-primary dark:group-focus/link:border-primary-light`,children:_jsx(`svg`,{xmlns:`http://www.w3.org/2000/svg`,fill:`gray`,height:`12px`,viewBox:`0 0 576 512`,children:_jsx(`path`,{d:`M0 256C0 167.6 71.6 96 160 96h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C98.1 144 48 194.1 48 256s50.1 112 112 112h72c13.3 0 24 10.7 24 24s-10.7 24-24 24H160C71.6 416 0 344.4 0 256zm576 0c0 88.4-71.6 160-160 160H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c61.9 0 112-50.1 112-112s-50.1-112-112-112H344c-13.3 0-24-10.7-24-24s10.7-24 24-24h72c88.4 0 160 71.6 160 160zM184 232H392c13.3 0 24 10.7 24 24s-10.7 24-24 24H184c-13.3 0-24-10.7-24-24s10.7-24 24-24z`})})})})}),_jsx(`span`,{className:`mint-inline-flex mint-items-center mint-w-fit mint-font-medium mint-gap-1 mint-py-0.5 mint-px-2 mint-rounded-md`,style:{lineHeight:`1rem`,fontSize:`0.75rem`,fontFamily:`var(--font-jetbrains-mono), ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace`,backgroundColor:`light-dark(${theme.light.bg}, ${theme.dark.bg})`,color:`light-dark(${theme.light.text}, ${theme.dark.text})`,borderColor:`light-dark(color-mix(in oklab, ${theme.light.text} 25%, transparent), color-mix(in oklab, ${theme.dark.text} 25%, transparent))`},children:lifecycleText})]})})})]})};function _createMdxContent(props){const{_MdxComponentBoundary}={..._provideComponents(),...props.components};if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(_MdxComponentBoundary,{name:`ApiReleaseLifecycle`,children:_jsx(ApiReleaseLifecycle,{releaseLifecycle:`GA`})}),`\n`,_jsx(_MdxComponentBoundary,{name:`Scopes`,children:_jsx(Scopes,{scopes:[`read:actions`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{Scopes,ApiReleaseLifecycle,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"docs/oas/management/v2/management-api-oas.json GET /actions/triggers/{triggerId}/bindings","playground":"interactive","deprecated":false,"title":"Get trigger bindings","description":"Retrieve the actions that are bound to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The list of actions returned reflects the order in which they will be executed during the appropriate flow.\n","href":"/docs/api/management/v2/actions/get-bindings"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[142,7089,")=>null;const ApiReleaseLifecycle=()=>null;function _createM"]]},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/auth0/68ac07e0f912aad4/docs/scripts/navbar-controller.js","/_mintlify/custom/auth0/98c52e2a822716a4/docs/scripts/overscroll-disable.js","/_mintlify/custom/auth0/15b21268d7cc82a0/ui/auth0-docs-ui-1.10.0.umd.js","/_mintlify/custom/auth0/edda60bac2809e28/ui/js/auth0-cli-language.js","/_mintlify/custom/auth0/af65702d2f0210f7/ui/universal-components/universal-components-1.0.27.umd.js"],"dynamicCss":".mint-absolute {\n position: absolute\n}\n.mint-relative {\n position: relative\n}\n.mint--top-1\\.5 {\n top: -0.375rem\n}\n.mint--ml-10 {\n margin-left: -2.5rem\n}\n.mint-mb-0 {\n margin-bottom: 0px\n}\n.mint-mr-5 {\n margin-right: 1.25rem\n}\n.mint-mt-2\\.5 {\n margin-top: 0.625rem\n}\n.mint-mt-4 {\n margin-top: 1rem\n}\n.mint-mt-6 {\n margin-top: 1.5rem\n}\n.mint-flex {\n display: flex\n}\n.mint-inline-flex {\n display: inline-flex\n}\n.mint-h-6 {\n height: 1.5rem\n}\n.mint-w-6 {\n width: 1.5rem\n}\n.mint-w-fit {\n width: fit-content\n}\n.mint-w-full {\n width: 100%\n}\n.mint-flex-1 {\n flex: 1 1 0%\n}\n.mint-flex-col {\n flex-direction: column\n}\n.mint-flex-wrap {\n flex-wrap: wrap\n}\n.mint-content-start {\n align-content: flex-start\n}\n.mint-items-center {\n align-items: center\n}\n.mint-items-baseline {\n align-items: baseline\n}\n.mint-justify-center {\n justify-content: center\n}\n.mint-gap-1 {\n gap: 0.25rem\n}\n.mint-gap-2 {\n gap: 0.5rem\n}\n.mint-gap-y-4 {\n row-gap: 1rem\n}\n.mint-space-y-4 > :not([hidden]) ~ :not([hidden]) {\n --tw-space-y-reverse: 0;\n margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));\n margin-bottom: calc(1rem * var(--tw-space-y-reverse))\n}\n.mint-whitespace-normal {\n white-space: normal\n}\n.mint-whitespace-pre-line {\n white-space: pre-line\n}\n.mint-break-all {\n word-break: break-all\n}\n.mint-rounded-md {\n border-radius: 0.375rem\n}\n.mint-border-0 {\n border-width: 0px\n}\n.mint-border-b {\n border-bottom-width: 1px\n}\n.mint-border-gray-100 {\n --tw-border-opacity: 1;\n border-color: rgb(243 244 246 / var(--tw-border-opacity, 1))\n}\n.mint-bg-gray-100\\/50 {\n background-color: rgb(243 244 246 / 0.5)\n}\n.mint-bg-white {\n --tw-bg-opacity: 1;\n background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1))\n}\n.mint-px-2 {\n padding-left: 0.5rem;\n padding-right: 0.5rem\n}\n.mint-py-0\\.5 {\n padding-top: 0.125rem;\n padding-bottom: 0.125rem\n}\n.mint-py-2 {\n padding-top: 0.5rem;\n padding-bottom: 0.5rem\n}\n.mint-pb-2\\.5 {\n padding-bottom: 0.625rem\n}\n.mint-font-mono {\n font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace\n}\n.mint-text-sm {\n font-size: 0.875rem;\n line-height: 1.25rem\n}\n.mint-text-xs {\n font-size: 0.75rem;\n line-height: 1rem\n}\n.mint-font-medium {\n font-weight: 500\n}\n.mint-text-gray-400 {\n --tw-text-opacity: 1;\n color: rgb(156 163 175 / var(--tw-text-opacity, 1))\n}\n.mint-text-gray-600 {\n --tw-text-opacity: 1;\n color: rgb(75 85 99 / var(--tw-text-opacity, 1))\n}\n.mint-opacity-0 {\n opacity: 0\n}\n.mint-shadow-sm {\n --tw-shadow: 0 1px 2px 0 rgb(0 0 0 / 0.05);\n --tw-shadow-colored: 0 1px 2px 0 var(--tw-shadow-color);\n box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)\n}\n.mint-ring-1 {\n --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000)\n}\n.mint-ring-gray-400\\/30 {\n --tw-ring-color: rgb(156 163 175 / 0.3)\n}\n.hover\\:mint-ring-gray-400\\/60:hover {\n --tw-ring-color: rgb(156 163 175 / 0.6)\n}\n.focus\\:mint-opacity-100:focus {\n opacity: 1\n}\n.focus\\:mint-outline-0:focus {\n outline-width: 0px\n}\n.mint-group\\/param-head:hover .group-hover\\/param-head\\:mint-opacity-100 {\n opacity: 1\n}\n.mint-group\\/link:focus .group-focus\\/link\\:mint-border-2 {\n border-width: 2px\n}\n.dark\\:mint-border-gray-800:is(.dark *) {\n --tw-border-opacity: 1;\n border-color: rgb(31 41 55 / var(--tw-border-opacity, 1))\n}\n.dark\\:mint-bg-white\\/5:is(.dark *) {\n background-color: rgb(255 255 255 / 0.05)\n}\n.dark\\:mint-text-gray-200:is(.dark *) {\n --tw-text-opacity: 1;\n color: rgb(229 231 235 / var(--tw-text-opacity, 1))\n}\n.dark\\:mint-text-white\\/50:is(.dark *) {\n color: rgb(255 255 255 / 0.5)\n}\n.dark\\:mint-ring-1:is(.dark *) {\n --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000)\n}\n.dark\\:mint-ring-gray-700\\/25:is(.dark *) {\n --tw-ring-color: rgb(55 65 81 / 0.25)\n}\n.dark\\:mint-brightness-\\[1\\.35\\]:is(.dark *) {\n --tw-brightness: brightness(1.35);\n filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)\n}\n.dark\\:hover\\:mint-ring-white\\/20:hover:is(.dark *) {\n --tw-ring-color: rgb(255 255 255 / 0.2)\n}\n.dark\\:hover\\:mint-brightness-150:hover:is(.dark *) {\n --tw-brightness: brightness(1.5);\n filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)\n}\n.expandable-content .\\[\\.expandable-content_\\\u0026\\]\\:mint--ml-\\[2\\.1rem\\] {\n margin-left: -2.1rem\n}","openApiReferenceData":{"operation":{"summary":"Get trigger bindings","description":"Retrieve the actions that are bound to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The list of actions returned reflects the order in which they will be executed during the appropriate flow.\n","tags":["actions"],"parameters":["320e9777-6dbc-4ddb-87f8-23f97b42f420","0faffd0a-0ab4-413a-951c-444a992d631e","c9a21dbe-f68b-4025-95f9-9d96cf33a3ee"],"responses":{"200":"ae0116fd-10a8-4ddf-b879-d834619e7f00","400":"13e61c73-d7cc-4e2f-8424-1b67bf4f6a58","401":"367cd41f-73d0-459b-8a4a-acf5df2d8d58","403":"3be385d1-c905-48e8-a6d9-7fa1861e5250","429":"6bc5a9e3-1d04-4d37-914d-d21b360d5ce3"},"operationId":"get_bindings","x-release-lifecycle":"GA","x-operation-name":"list","x-operation-request-parameters-name":"ListActionTriggerBindingsRequestParameters","x-operation-group":["actions","triggers","bindings"],"security":["9babcd12-ad74-48c9-b55a-a3a9cfd5321a","2fc8db77-3224-4c68-a44a-fd277b11085b"],"x-codeSamples":[{"lang":"typescript","label":"Get trigger bindings","source":"import { ManagementClient } from \"auth0\";\n\nasync function main() {\n const client = new ManagementClient({\n domain: \"{YOUR_DOMAIN}\",\n token: \"\u003ctoken>\",\n });\n await client.actions.triggers.bindings.list(\"post-login\", {\n page: 1,\n per_page: 1,\n });\n}\nmain();\n"},{"lang":"javascript","label":"Get trigger bindings","source":"import { ManagementClient } from \"auth0\";\n\nasync function main() {\n const client = new ManagementClient({\n domain: \"{YOUR_DOMAIN}\",\n token: \"\u003ctoken>\",\n });\n await client.actions.triggers.bindings.list(\"post-login\", {\n page: 1,\n per_page: 1,\n });\n}\nmain();\n"},{"lang":"go","label":"Get trigger bindings","source":"package example\n\nimport (\n context \"context\"\n\n management \"github.com/auth0/go-auth0/v3/management\"\n client \"github.com/auth0/go-auth0/v3/management/client\"\n option \"github.com/auth0/go-auth0/v3/management/option\"\n)\n\nfunc do() {\n mgmt, err := client.New(\n \"{YOUR_DOMAIN}\",\n option.WithToken(\n \"\u003ctoken>\",\n ),\n )\n if err != nil {\n return\n }\n request := \u0026management.ListActionTriggerBindingsRequestParameters{\n Page: management.Int(\n 1,\n ),\n PerPage: management.Int(\n 1,\n ),\n }\n mgmt.Actions.Triggers.Bindings.List(\n context.TODO(),\n management.ActionTriggerTypeEnumPostLogin.Ptr(),\n request,\n )\n}\n"},{"lang":"zsh","label":"Get trigger bindings","source":"# Ensure you're logged in: auth0 login\nauth0 api get \"actions/triggers/post-login/bindings\" --query \"page=1\" --query \"per_page=1\""},{"lang":"csharp","label":"Get trigger bindings","source":"using Auth0.ManagementApi;\nusing System.Threading.Tasks;\nusing Auth0.ManagementApi.Actions.Triggers;\n\npublic partial class Examples\n{\n public async Task Example() {\n var client = new ManagementApiClient(\n token: \"\u003ctoken>\",\n clientOptions: new ClientOptions { BaseUrl = \"https://{YOUR_DOMAIN}/api/v2\" }\n );\n\n await client.Actions.Triggers.Bindings.ListAsync(\n triggerId: ActionTriggerTypeEnum.PostLogin,\n request: new ListActionTriggerBindingsRequestParameters {\n Page = 1,\n PerPage = 1\n }\n );\n }\n\n}\n"},{"lang":"java","label":"Get trigger bindings","source":"package com.example.usage;\n\nimport com.auth0.client.mgmt.ManagementApi;\nimport com.auth0.client.mgmt.actions.triggers.types.ListActionTriggerBindingsRequestParameters;\nimport com.auth0.client.mgmt.types.ActionTriggerTypeEnum;\n\npublic class Example {\n public static void main(String[] args) {\n ManagementApi client = ManagementApi\n .builder()\n .domain(\"{YOUR_DOMAIN}\")\n .token(\"\u003ctoken>\")\n .build();\n\n client.actions().triggers().bindings().list(\n ActionTriggerTypeEnum.POST_LOGIN,\n ListActionTriggerBindingsRequestParameters\n .builder()\n .page(1)\n .perPage(1)\n .build()\n );\n }\n}"},{"lang":"php","label":"Get trigger bindings","source":"\u003c?php\n\nnamespace Example;\n\nuse Auth0\\SDK\\API\\Management\\Wrapper\\ManagementClient;\nuse Auth0\\SDK\\API\\Management\\Wrapper\\ManagementClientOptions;\nuse Auth0\\SDK\\API\\Management\\Types\\ActionTriggerTypeEnum;\nuse Auth0\\SDK\\API\\Management\\Actions\\Triggers\\Bindings\\Requests\\ListActionTriggerBindingsRequestParameters;\n\n$client = new ManagementClient(new ManagementClientOptions(\n domain: '{YOUR_DOMAIN}',\n token: '\u003ctoken>',\n));\n$client->actions->triggers->bindings->list(\n ActionTriggerTypeEnum::PostLogin->value,\n new ListActionTriggerBindingsRequestParameters([\n 'page' => 1,\n 'perPage' => 1,\n ]),\n);\n"},{"lang":"python","label":"Get trigger bindings","source":"from auth0.management import ManagementClient\n\nclient = ManagementClient(\n domain=\"{YOUR_DOMAIN}\",\n token=\"\u003ctoken>\",\n)\n\nclient.actions.triggers.bindings.list(\n trigger_id=\"post-login\",\n page=1,\n per_page=1,\n)\n"},{"lang":"ruby","label":"Get trigger bindings","source":"require \"auth0\"\n\nclient = Auth0::Management.new(token: \"\u003ctoken>\", base_url: \"https://{YOUR_DOMAIN}/api/v2\")\n\nclient.actions.triggers.bindings.list(\n trigger_id: \"post-login\",\n page: 1,\n per_page: 1\n)\n"}],"method":"get","type":"path","servers":["b77270d5-89e4-4dff-b25d-ecd7322712cd"],"path":"/actions/triggers/{triggerId}/bindings","baseUrlOptions":["https://{tenantDomain}/api/v2"],"title":"Get trigger bindings","codeSamples":[{"label":"Get trigger bindings","lang":"typescript","source":"import { ManagementClient } from \"auth0\";\n\nasync function main() {\n const client = new ManagementClient({\n domain: \"{YOUR_DOMAIN}\",\n token: \"\u003ctoken>\",\n });\n await client.actions.triggers.bindings.list(\"post-login\", {\n page: 1,\n per_page: 1,\n });\n}\nmain();\n"},{"label":"Get trigger bindings","lang":"javascript","source":"import { ManagementClient } from \"auth0\";\n\nasync function main() {\n const client = new ManagementClient({\n domain: \"{YOUR_DOMAIN}\",\n token: \"\u003ctoken>\",\n });\n await client.actions.triggers.bindings.list(\"post-login\", {\n page: 1,\n per_page: 1,\n });\n}\nmain();\n"},{"label":"Get trigger bindings","lang":"go","source":"package example\n\nimport (\n context \"context\"\n\n management \"github.com/auth0/go-auth0/v3/management\"\n client \"github.com/auth0/go-auth0/v3/management/client\"\n option \"github.com/auth0/go-auth0/v3/management/option\"\n)\n\nfunc do() {\n mgmt, err := client.New(\n \"{YOUR_DOMAIN}\",\n option.WithToken(\n \"\u003ctoken>\",\n ),\n )\n if err != nil {\n return\n }\n request := \u0026management.ListActionTriggerBindingsRequestParameters{\n Page: management.Int(\n 1,\n ),\n PerPage: management.Int(\n 1,\n ),\n }\n mgmt.Actions.Triggers.Bindings.List(\n context.TODO(),\n management.ActionTriggerTypeEnumPostLogin.Ptr(),\n request,\n )\n}\n"},{"label":"Get trigger bindings","lang":"zsh","source":"# Ensure you're logged in: auth0 login\nauth0 api get \"actions/triggers/post-login/bindings\" --query \"page=1\" --query \"per_page=1\""},{"label":"Get trigger bindings","lang":"csharp","source":"using Auth0.ManagementApi;\nusing System.Threading.Tasks;\nusing Auth0.ManagementApi.Actions.Triggers;\n\npublic partial class Examples\n{\n public async Task Example() {\n var client = new ManagementApiClient(\n token: \"\u003ctoken>\",\n clientOptions: new ClientOptions { BaseUrl = \"https://{YOUR_DOMAIN}/api/v2\" }\n );\n\n await client.Actions.Triggers.Bindings.ListAsync(\n triggerId: ActionTriggerTypeEnum.PostLogin,\n request: new ListActionTriggerBindingsRequestParameters {\n Page = 1,\n PerPage = 1\n }\n );\n }\n\n}\n"},{"label":"Get trigger bindings","lang":"java","source":"package com.example.usage;\n\nimport com.auth0.client.mgmt.ManagementApi;\nimport com.auth0.client.mgmt.actions.triggers.types.ListActionTriggerBindingsRequestParameters;\nimport com.auth0.client.mgmt.types.ActionTriggerTypeEnum;\n\npublic class Example {\n public static void main(String[] args) {\n ManagementApi client = ManagementApi\n .builder()\n .domain(\"{YOUR_DOMAIN}\")\n .token(\"\u003ctoken>\")\n .build();\n\n client.actions().triggers().bindings().list(\n ActionTriggerTypeEnum.POST_LOGIN,\n ListActionTriggerBindingsRequestParameters\n .builder()\n .page(1)\n .perPage(1)\n .build()\n );\n }\n}"},{"label":"Get trigger bindings","lang":"php","source":"\u003c?php\n\nnamespace Example;\n\nuse Auth0\\SDK\\API\\Management\\Wrapper\\ManagementClient;\nuse Auth0\\SDK\\API\\Management\\Wrapper\\ManagementClientOptions;\nuse Auth0\\SDK\\API\\Management\\Types\\ActionTriggerTypeEnum;\nuse Auth0\\SDK\\API\\Management\\Actions\\Triggers\\Bindings\\Requests\\ListActionTriggerBindingsRequestParameters;\n\n$client = new ManagementClient(new ManagementClientOptions(\n domain: '{YOUR_DOMAIN}',\n token: '\u003ctoken>',\n));\n$client->actions->triggers->bindings->list(\n ActionTriggerTypeEnum::PostLogin->value,\n new ListActionTriggerBindingsRequestParameters([\n 'page' => 1,\n 'perPage' => 1,\n ]),\n);\n"},{"label":"Get trigger bindings","lang":"python","source":"from auth0.management import ManagementClient\n\nclient = ManagementClient(\n domain=\"{YOUR_DOMAIN}\",\n token=\"\u003ctoken>\",\n)\n\nclient.actions.triggers.bindings.list(\n trigger_id=\"post-login\",\n page=1,\n per_page=1,\n)\n"},{"label":"Get trigger bindings","lang":"ruby","source":"require \"auth0\"\n\nclient = Auth0::Management.new(token: \"\u003ctoken>\", base_url: \"https://{YOUR_DOMAIN}/api/v2\")\n\nclient.actions.triggers.bindings.list(\n trigger_id: \"post-login\",\n page: 1,\n per_page: 1\n)\n"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated","disableProxy":true,"urlDisplay":"full"},"dependencies":{"parameters":{"320e9777-6dbc-4ddb-87f8-23f97b42f420":{"name":"triggerId","in":"path","description":"An actions extensibility point.","required":true,"schema":{"type":"string","description":"An actions extensibility point.","enum":["post-login","credentials-exchange","pre-user-registration","post-user-registration","post-change-password","send-phone-message","custom-phone-provider","custom-email-provider","password-reset-post-challenge","custom-token-exchange","event-stream","password-hash-migration","login-post-identifier","signup-post-identifier","post-credential-validation"],"isRequired":true,"uniqueKey":"","typeLabel":"enum\u003cstring>"}},"0faffd0a-0ab4-413a-951c-444a992d631e":{"name":"page","in":"query","description":"Use this field to request a specific page of the list results.","schema":{"type":"integer","description":"Use this field to request a specific page of the list results.","uniqueKey":"","typeLabel":"integer"}},"c9a21dbe-f68b-4025-95f9-9d96cf33a3ee":{"name":"per_page","in":"query","description":"The maximum number of results to be returned in a single request. 20 by default","schema":{"type":"integer","description":"The maximum number of results to be returned in a single request. 20 by default","uniqueKey":"","typeLabel":"integer"}}},"responses":{"ae0116fd-10a8-4ddf-b879-d834619e7f00":{"description":"The bindings were retrieved.","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"total":{"type":"number","description":"The total result count.","default":1,"uniqueKey":"total","typeLabel":"number"},"page":{"type":"number","description":"Page index of the results being returned. First page is 0.","default":0,"uniqueKey":"page","typeLabel":"number"},"per_page":{"type":"number","description":"Number of results per page.","default":20,"uniqueKey":"per_page","typeLabel":"number"},"bindings":{"type":"array","description":"The list of actions that are bound to this trigger in the order in which they will be executed.","items":{"type":"object","description":"Binding is the associative entity joining a trigger, and an action together.","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of this binding.","default":"4a881e22-0562-4178-bc91-b0f2b321dc13","uniqueKey":"bindings.items.[INDEX].id","typeLabel":"string"},"trigger_id":{"type":"string","description":"An actions extensibility point.","enum":["post-login","credentials-exchange","pre-user-registration","post-user-registration","post-change-password","send-phone-message","custom-phone-provider","custom-email-provider","password-reset-post-challenge","custom-token-exchange","event-stream","password-hash-migration","login-post-identifier","signup-post-identifier","post-credential-validation"],"uniqueKey":"bindings.items.[INDEX].trigger_id","typeLabel":"enum\u003cstring>"},"display_name":{"type":"string","description":"The name of the binding.","default":"my-action-1","uniqueKey":"bindings.items.[INDEX].display_name","typeLabel":"string"},"action":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the action.","default":"910b1053-577f-4d81-a8c8-020e7319a38a","uniqueKey":"bindings.items.[INDEX].action.id","typeLabel":"string"},"name":{"type":"string","description":"The name of an action.","default":"my-action","uniqueKey":"bindings.items.[INDEX].action.name","typeLabel":"string"},"supported_triggers":{"type":"array","description":"The list of triggers that this action supports. At this time, an action can only target a single trigger at a time.","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["id"],"x-release-lifecycle":"GA","properties":{"id":{"type":"string","description":"An actions extensibility point.","enum":["post-login","credentials-exchange","pre-user-registration","post-user-registration","post-change-password","send-phone-message","custom-phone-provider","custom-email-provider","password-reset-post-challenge","custom-token-exchange","event-stream","password-hash-migration","login-post-identifier","signup-post-identifier","post-credential-validation"],"isRequired":true,"uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].id","typeLabel":"enum\u003cstring>"},"version":{"type":"string","description":"The version of a trigger. v1, v2, etc.","uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].version","typeLabel":"string"},"status":{"type":"string","description":"status points to the trigger status.","uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].status","typeLabel":"string"},"runtimes":{"type":"array","description":"runtimes supported by this trigger.","items":{"type":"string","uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].runtimes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].runtimes","typeLabel":"string[]"},"default_runtime":{"type":"string","description":"Runtime that will be used when none is specified when creating an action.","uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].default_runtime","typeLabel":"string"},"compatible_triggers":{"type":"array","description":"compatible_triggers informs which other trigger supports the same event and api.","items":{"type":"object","additionalProperties":true,"required":["id","version"],"properties":{"id":{"type":"string","description":"An actions extensibility point.","enum":["post-login","credentials-exchange","pre-user-registration","post-user-registration","post-change-password","send-phone-message","custom-phone-provider","custom-email-provider","password-reset-post-challenge","custom-token-exchange","event-stream","password-hash-migration","login-post-identifier","signup-post-identifier","post-credential-validation"],"isRequired":true,"uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].compatible_triggers.items.[INDEX].id","typeLabel":"enum\u003cstring>"},"version":{"type":"string","description":"The version of a trigger. v1, v2, etc.","isRequired":true,"uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].compatible_triggers.items.[INDEX].version","typeLabel":"string"}},"uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].compatible_triggers.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].compatible_triggers","typeLabel":"object[]"},"binding_policy":{"type":"string","description":"In order to execute an Action, it must be bound to a trigger using a binding. `trigger-bound` means that bindings are managed by the tenant. `entity-bound` means that the bindings are automatically managed by Auth0 and other internal resouces will control those bindings. Tenants cannot manage `entity-bound` bindings.","enum":["trigger-bound","entity-bound"],"uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX].binding_policy","typeLabel":"enum\u003cstring>"}},"uniqueKey":"bindings.items.[INDEX].action.supported_triggers.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bindings.items.[INDEX].action.supported_triggers","typeLabel":"object[]"},"all_changes_deployed":{"type":"boolean","description":"True if all of an Action's contents have been deployed.","default":false,"uniqueKey":"bindings.items.[INDEX].action.all_changes_deployed","typeLabel":"boolean"},"created_at":{"type":"string","description":"The time when this action was created.","default":"2021-01-01T00:00:00.000Z","format":"date-time","uniqueKey":"bindings.items.[INDEX].action.created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","description":"The time when this action was updated.","default":"2021-01-01T00:00:00.000Z","format":"date-time","uniqueKey":"bindings.items.[INDEX].action.updated_at","typeLabel":"string\u003cdate-time>"},"code":{"type":"string","description":"The source code of the action.","default":"module.exports = () => {}","uniqueKey":"bindings.items.[INDEX].action.code","typeLabel":"string"},"dependencies":{"type":"array","description":"The list of third party npm modules, and their versions, that this action depends on.","items":{"type":"object","description":"Dependency is an npm module. These values are used to produce an immutable artifact, which manifests as a layer_id.","additionalProperties":false,"properties":{"name":{"type":"string","description":"name is the name of the npm module, e.g. lodash","uniqueKey":"bindings.items.[INDEX].action.dependencies.items.[INDEX].name","typeLabel":"string"},"version":{"type":"string","description":"description is the version of the npm module, e.g. 4.17.1","uniqueKey":"bindings.items.[INDEX].action.dependencies.items.[INDEX].version","typeLabel":"string"},"registry_url":{"type":"string","description":"registry_url is an optional value used primarily for private npm registries.","uniqueKey":"bindings.items.[INDEX].action.dependencies.items.[INDEX].registry_url","typeLabel":"string"}},"uniqueKey":"bindings.items.[INDEX].action.dependencies.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bindings.items.[INDEX].action.dependencies","typeLabel":"object[]"},"runtime":{"type":"string","description":"The Node runtime. For example: `node22`, defaults to `node22`","default":"node22","uniqueKey":"bindings.items.[INDEX].action.runtime","typeLabel":"string"},"secrets":{"type":"array","description":"The list of secrets that are included in an action or a version of an action.","items":{"type":"object","additionalProperties":true,"properties":{"name":{"type":"string","description":"The name of the particular secret, e.g. API_KEY.","default":"mySecret","uniqueKey":"bindings.items.[INDEX].action.secrets.items.[INDEX].name","typeLabel":"string"},"updated_at":{"type":"string","description":"The time when the secret was last updated.","default":"2021-01-01T00:00:00.000Z","format":"date-time","uniqueKey":"bindings.items.[INDEX].action.secrets.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"bindings.items.[INDEX].action.secrets.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bindings.items.[INDEX].action.secrets","typeLabel":"object[]"},"deployed_version":{"type":"object","description":"The version of the action that is currently deployed.","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique id of an action version.","default":"12a3b9e6-06e6-4a29-96bf-90c82fe79a0d","uniqueKey":"bindings.items.[INDEX].action.deployed_version.id","typeLabel":"string"},"action_id":{"type":"string","description":"The id of the action to which this version belongs.","default":"910b1053-577f-4d81-a8c8-020e7319a38a","uniqueKey":"bindings.items.[INDEX].action.deployed_version.action_id","typeLabel":"string"},"code":{"type":"string","description":"The source code of this specific version of the action.","default":"module.exports = () => {}","uniqueKey":"bindings.items.[INDEX].action.deployed_version.code","typeLabel":"string"},"dependencies":{"type":"array","description":"The list of third party npm modules, and their versions, that this specific version depends on. ","items":{"type":"object","description":"Dependency is an npm module. These values are used to produce an immutable artifact, which manifests as a layer_id.","additionalProperties":false,"properties":{"name":{"type":"string","description":"name is the name of the npm module, e.g. lodash","uniqueKey":"bindings.items.[INDEX].action.deployed_version.dependencies.items.[INDEX].name","typeLabel":"string"},"version":{"type":"string","description":"description is the version of the npm module, e.g. 4.17.1","uniqueKey":"bindings.items.[INDEX].action.deployed_version.dependencies.items.[INDEX].version","typeLabel":"string"},"registry_url":{"type":"string","description":"registry_url is an optional value used primarily for private npm registries.","uniqueKey":"bindings.items.[INDEX].action.deployed_version.dependencies.items.[INDEX].registry_url","typeLabel":"string"}},"uniqueKey":"bindings.items.[INDEX].action.deployed_version.dependencies.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bindings.items.[INDEX].action.deployed_version.dependencies","typeLabel":"object[]"},"deployed":{"type":"boolean","description":"Indicates if this specific version is the currently one deployed.","default":true,"uniqueKey":"bindings.items.[INDEX].action.deployed_version.deployed","typeLabel":"boolean"},"runtime":{"type":"string","description":"The Node runtime. For example: `node22`","default":"node22","uniqueKey":"bindings.items.[INDEX].action.deployed_version.runtime","typeLabel":"string"},"secrets":{"type":"array","description":"The list of secrets that are included in an action or a version of an action.","items":{"type":"object","additionalProperties":true,"properties":{"name":{"type":"string","description":"The name of the particular secret, e.g. API_KEY.","default":"mySecret","uniqueKey":"bindings.items.[INDEX].action.deployed_version.secrets.items.[INDEX].name","typeLabel":"string"},"updated_at":{"type":"string","description":"The time when the secret was last updated.","default":"2021-01-01T00:00:00.000Z","format":"date-time","uniqueKey":"bindings.items.[INDEX].action.deployed_version.secrets.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"bindings.items.[INDEX].action.deployed_version.secrets.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bindings.items.[INDEX].action.deployed_version.secrets","typeLabel":"object[]"},"status":{"type":"string","description":"The build status of this specific version.","default":"built","enum":["pending","building","packaged","built","retrying","failed"],"uniqueKey":"bindings.items.[INDEX].action.deployed_version.status","typeLabel":"enum\u003cstring>"},"number":{"type":"number","description":"The index of this version in list of versions for the action.","default":1,"uniqueKey":"bindings.items.[INDEX].action.deployed_version.number","typeLabel":"number"},"errors":{"type":"array","description":"Any errors that occurred while the version was being built.","items":{"type":"object","description":"Error is a generic error with a human readable id which should be easily referenced in support tickets.","additionalProperties":false,"properties":{"id":{"type":"string","uniqueKey":"bindings.items.[INDEX].action.deployed_version.errors.items.[INDEX].id","typeLabel":"string"},"msg":{"type":"string","uniqueKey":"bindings.items.[INDEX].action.deployed_version.errors.items.[INDEX].msg","typeLabel":"string"},"url":{"type":"string","uniqueKey":"bindings.items.[INDEX].action.deployed_version.errors.items.[INDEX].url","typeLabel":"string"}},"uniqueKey":"bindings.items.[INDEX].action.deployed_version.errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"bindings.items.[INDEX].action.deployed_version.errors","typeLabel":"object[]"},"action":{"type":"object","description":"The action to which this version belongs.","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the action.","default":"910b1053-577f-4d81-a8c8-020e7319a38a","uniqueKey":"bindings.items.[INDEX].action.deployed_version.action.id","typeLabel":"string"},"name":{"type":"string","description":"The name of an action.","default":"my-action","uniqueKey":"bindings.items.[INDEX].action.deployed_version.action.name","typeLabel":"string"},"supported_triggers":{"type":"array","description":"The list of triggers that this action supports. At this time, an action can only target a single trigger at a time.","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["id"],"x-release-lifecycle":"GA","properties":{"id":{"type":"string","description":"An actions extensibility point.","enum":["post-login","credentials-exchange","pre-user-registration","post-user-registration","post-change-password","send-phone-message","custom-phone-provider","custom-email-provider","password-reset-post-challenge","custom-token-exchange","event-stream","password-hash-migration","login-post-identifier","signup-post-identifier","post-credential-validation"],"isRequired":true,"uniqueKey":"bindings.items.[INDEX].action.deployed_version.action.supported_triggers.items.[INDEX].id","typeLabel":"enum\u003cstring>"},"version":{"type":"string","description":"The version of a trigger. v1, v2, etc.","uniqueKey":"bindings.items.[INDEX].action.deployed_version.action.supported_triggers.items.[INDEX].version","typeLabel":"string"},"status":{"type":"string","description":"status points to the trigger status.","uniqueKey":"bindings.items.[INDEX].action.deployed_version.action.supported_triggers.items.[INDEX].status","typeLabel":"string"},"runtimes":{"type":"array","description":"runtimes supported by this trigger.","items":{"type":"string","uniqueKey":"bindings.items.[INDEX].action.deployed_version.action.supported_triggers.items.[INDEX].runtimes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"bindings.items.[INDEX].action.deployed_version.action.supported_triggers.items.[INDEX].runtimes","typeLabel":"string[]"},"default_runtime":{"type":"string","description":"Runtime that will be used when none is specified when creating an action.","uniqueKey":"bindings.items.[INDEX].action.deployed_version.action.supported_triggers.items.[INDEX].default_runtime","typeLabel":"string"},"compatible_triggers":{"type":"array","description":"compatible_triggers informs which other trigger supports the same event and api.","items":{"type":"object","additionalProperties":true,"required":["id","version"],"properties":{"id":{"type":"string","description":"An actions extensibility point.","enum":["post-login","credentials-exchange",
[...]
